/* CSS Document */
/* ベース（style.cssより） */
:root{
	--max: 1300px;
	/* フォントサイズ (1300pxで最大値になる設定) */
	--fs14: 14px;
	--fs15: clamp(14px, 1.154dvw, 15px);
	--fs16: clamp(14px, 1.231dvw, 16px);
	--fs18: clamp(15px, 1.385dvw, 18px);
	--fs20: clamp(16px, 1.538dvw, 20px);
	--fs22: clamp(16px, 1.692dvw, 22px);
	--fs24: clamp(18px, 1.846dvw, 24px);
	--fs25: clamp(18px, 1.923dvw, 25px);
	--fs26: clamp(18px, 2.000dvw, 26px);
	--fs28: clamp(20px, 2.154dvw, 28px);
	--fs30: clamp(22px, 2.308dvw, 30px);
	--fs32: clamp(22px, 2.462dvw, 32px);
	--fs34: clamp(22px, 2.615dvw, 34px);
	--fs35: clamp(23px, 2.692dvw, 35px);
	--fs36: clamp(24px, 2.769dvw, 36px);
	--fs38: clamp(24px, 2.923dvw, 38px);
	--fs40: clamp(30px, 3.077dvw, 40px);
	--fs44: clamp(30px, 3.385dvw, 44px);
	--fs48: clamp(30px, 3.692dvw, 48px);
	--fs50: clamp(32px, 3.846dvw, 50px);
	--fs53: clamp(32px, 4.077dvw, 53px);
	--fs60: clamp(36px, 4.615dvw, 60px);
	--fs70: clamp(42px, 5.385dvw, 70px);
	--fs78: clamp(44px, 6.000dvw, 78px);
	--fs80: clamp(50px, 6.154dvw, 80px);
	
	/*色*/
	--white:white;
	--gray:#999999;
	--black:#1a1a1a;
    --red:#ab1a28;
    --gray-border: #b3b3b3;
	
	/*フォント*/
	--joly-text:"Joly Text", serif;
	--zen-old-mincho:"Zen Old Mincho",serif;
	--zen-kaku-gothic-new: "Zen Kaku Gothic New","Hiragino Kaku Gothic ProN","Noto Sans JP","Yu Gothic",sans-serif;
	--ZenKakuGothicNew: "Zen Kaku Gothic New", "Hiragino Kaku Gothic ProN", "Noto Sans JP", "Yu Gothic", sans-serif;
}
html{
    /* font-size: 20px; */
	font-size: clamp(16px, calc(3.0769vw + 0.6155px), 20px);
    scroll-behavior: smooth;
    scroll-padding-top: var(--header-h);
}
html.is-no-smooth{
	scroll-behavior: auto !important;
}
#card .card-inner .item h3{
	font-size:var(--fs30);
}
#concept .text p,.btn-pc,.btn-sp,#recipe .item .text p{
	font-family: var(--ZenKakuGothicNew);
}
.wrapper *,.wrapper *::before,.wrapper *::after{
    margin: 0;
    box-sizing: border-box;
    transition: all 0.3s;
}
a{
    display: block;
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
.top-img a:hover{
	background: var(--white);
}
.red{
    color: var(--red);
}
.gray{
    color: var(--gray);
}

#firstview{
    width: 100%;
    /*height: 100dvh;*/
	height: 640px;
	position: relative;
    margin-bottom: 4rem;


    img{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: auto;
        min-width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

main{
    width: 100%;

    #concept{
        width: min(1300px,80%);
        margin: 0 auto 10.5rem;
        display: flex;
        justify-content: space-between;
        
        .text{
            width: 100%;
            padding: 0 5rem 0 0;

            .red-rabel{
                width: fit-content;
                padding: 0;
                font-size: var(--fs30);
                font-family: var(--joly-text);
                color: var(--red);
                font-weight: 700;
                line-height: 2.4rem;
                letter-spacing: 0;
                margin-bottom: 1.5rem;
            }
            
            h2{
                font-size: var(--fs44);
                font-family: var(--ZenOldMincho);
                font-weight: 700;
                letter-spacing: 0;
                line-height: 1.2;
                margin-bottom: 3rem;
                
                br{display: none;}
            }
            
            h3{
                font-size: var(--fs30);
                font-weight: 700;
                font-family: var(--ZenOldMincho);
                margin-bottom: 3rem;
                position: relative;

                .border{
                    display: inline-block;
                    width: 2.5rem;
                    height: 0.1rem;
                    background: var(--black);
                    margin: 0 0 0.4rem 0;
                }
            }
            p{
                font-size: var(--fs26);
                font-family: var(--ZenOldMincho);
                text-align: justify;
                margin: 0;
            }
        }
    }

    #history{
        width: 100%;
        background: url(../img/about/about-bk.webp) center/cover repeat-y;

        .history-inner{
            height: 15rem;
            text-align: center;
            padding-top: 7rem;
            margin-bottom: 3.5rem;
            h3{
                font-size: 1.8rem;
                font-weight: 700;
                font-family: var(--ZenOldMincho);
            }
            h4{
                font-size: 1.2rem;
                font-weight: 700;
            }
        }
        picture{
            display: block;
            width: 80%;
            aspect-ratio: 130/51;
            margin: 0 auto;
            img{
                width: 100%;
                height: 100%;
                object-fit: cover; 
            }
        }
        .item{
            width: 80%;
            padding: 4.6rem 0 6rem;
            margin: 0 auto;
            .top{
                width: 100%;
                h3{
                    height: 4rem;
                    font-size: 1.8rem;
                    font-weight: 700;
                    font-family: var(--ZenOldMincho);
                    line-height: 2;
                    display: flex;
                    align-items: center;
                    white-space: nowrap;
                    img{
                        display: block;
                        width: clamp(64px,14.54dvw,108px);
                        aspect-ratio: 108/61;
                        margin-left: 1rem;
                    }
                } 
                .border{
                    width: 100%;
                    height: 1px;
                    background: var(--gray-border);
                    margin-bottom: 1rem;
                }
            }
            .text{
                .top{
                    display: flex;
                    margin-bottom: 2.5rem;
                    p{
                        width: 50%;
                        padding-right: 2rem;
                        font-family: var(--ZenKakuGothicNew);
                    }
                    picture{
                        display: block;
                        width: 50%;
                        height: auto;
                        aspect-ratio: 640/404;
                        img{
                            height: auto;
                        }
                    }
                }
                .bottom{
                    display: flex;
                    p{
                        width: 50%;
                        padding-right: 2rem;
                        font-family: var(--ZenKakuGothicNew);
                    }
                    picture{
                        display: block;
                        width: 50%;
                        height: auto;
                        aspect-ratio: 640/404;
                        img{
                            height: auto;
                        }
                    }
                }
            }
        }
    }

    #recipe{
        width: min(1300px,80%);
        padding-top: 7rem;
        margin: 0 auto 9.88rem;
        font-style: normal;
        text-align: center;

        .recipe-inner{
            h3{
                font-size: 1.8rem;
                font-family: var(--ZenOldMincho);
                font-weight: 700;
            }
            h4{
                font-size: 1.2rem;
                /*font-family: var(--ZenOldMincho);*/
                font-weight: 700;
                margin-bottom: 4.375rem;
            }
            .map{
                width: 100%; 
                height: 32rem;
                margin-bottom: 4.38rem;
    
                iframe{
                    width: 100%;
                    height: 100%;
                }
            }
        }
        .item{
            border: 2px solid var(--gray);
            border-radius: 20px;
            padding: 1.88rem;
            text-align: left;
            display: flex;
            justify-content: space-between;

            .text{
                width: 52.31%;

                h4{
                    font-size: 1.4rem;
                    /*font-family: var(--ZenOldMincho);*/
                    font-weight: 700;
                    letter-spacing: 0;
                }
                
                h3{
                    font-size: 1.504rem;
                    font-family: var(--ZenOldMincho);
                    font-weight: 700;
                    line-height: 1.5;
                    letter-spacing: 0;
                    margin-bottom: 1.25rem;
                }

                .border{
                    width: 100%;
                    height: 2px;
                    background: var(--gray);
                }
                p{
                    font-size: 1rem;
                    text-align: left;
                    padding: 2rem 0 0;
                    letter-spacing: 0.06rem;
                }
            }
            picture{
                width: 38.62%;
                img{
					width: 100%;
                    height: 100%;
                    object-fit: cover; 
                }
            }
            /* StreetViewの枠 */
            .sv-wrap{
                width: 38.62%;
                aspect-ratio: 538/346;
                overflow:hidden;

                iframe{
                    display:block;
                    width:100%;
                    height:100%;
                    /* width:114%;
                    height:138%; */
                    transform-origin:center;
                    border:0;
                }
            }
        }

        .arrow-down{
            height: 4.38rem;
            display: flex;
            justify-content: center;
            align-items: center;
            img{
                width: 64px;
                height: auto;
                aspect-ratio: 96/44;
            }
        }
    }
}

@media screen and (max-width:1441px){
    main{
        #concept{
            .text{
                padding-right: 2rem;
            }
        }
    }
}
@media screen and (max-width:1025px){
    main{
        #concept{
            width: 100%;
            flex-direction: column;
            margin: 0 auto 5rem;

            .text{
                width: 80%;
                margin: 0 auto;
                padding-right: 0;
            }
        }

        #history{
            .history-inner{
                height: 9rem;
                padding-top: 4.5rem;
                h3{
                    height: 3rem;
                    margin-bottom: 0;
                }
            }
            picture{
                width: 100%;
                aspect-ratio: 785/510;
            }
            .item{
                padding: 1.5rem 0 6rem;
                .text{
                    .top,.bottom{
                        flex-direction: column;
                        p{
                            width: 100%;
                            padding: 0;
                            margin-bottom: 2rem;
                        }
                        picture{
                            width: 100%;
                        }
                    }
                }
            }
        }

        #recipe{
            width: 100%;
            padding-top: 4.5rem;
            margin: 0 auto 5rem;
            .recipe-inner{
                h4{
                    margin-bottom: 3.5rem;
                }
                .map{
                    height: auto;
                    aspect-ratio: 4/3;
                    margin-bottom: 5rem;
                }
            }

            .item{
                width: 80%;
                margin: 0 auto;
                flex-direction: column;

                .text{
                    width: 100%;

                    p{
                        margin-bottom: 2rem;
                    }
                }

                .sv-wrap,picture{
                    width: 100%;
                    aspect-ratio: 354/204;
                }
            }
            .arrow-down{
                height: 4.9rem;
                img{
                    width: max(42px,9.37%);
                    height: auto;
                    aspect-ratio: 96/44;
                }
            }
        }
    }
}


@media screen and (max-width:767px){
    #firstview{
        width: 100%;
        height: auto;
        aspect-ratio: 787/593;
        margin-bottom: 4rem;
        picture{
            width: 100%;
            height: 100%;
            overflow: hidden;
            img{
                position: static;
                top: auto;
                left: auto;
                transform: none;
                width: auto;
                min-width: 0;
                height: 100%;
            }
        }
    }
}
@media screen and (max-width:725px){
    main #history .item .top h3{
        font-size: 5dvw;
    }
    main #history .item .top h3 img{
        margin-left: 2dvw;
    }
}
@media screen and (max-width:631px){
    html{
        font-size: clamp(16px, calc(3.0769vw + 0.6155px), 20px);
    }
}
@media screen and (max-width:500px){
    main{
        #concept{
            flex-direction: column;
            .text{
                padding-right: 0;

                .red-rabel{
                    font-size: 1.41rem;
                }

                h2{
                    font-size: 2rem;
                    br{display: block;}
                }
                h3{
                    font-size: 1.5rem;
                    letter-spacing: 0;
                }
            }
        }
    }
}
@media screen and (max-width:441px){
    main{
        #concept{
            margin: 0 auto 5rem;
        }
        #recipe .recipe-inner .map{
            aspect-ratio: 1025/778;
        }
		#recipe .item{width:90%;}
    }
}